﻿using HELLo_World.MapData;
using System;
using System.Collections.Generic;
using System.Text;

namespace HELLo_World.Model.EventArguments
{
    public class NewGameEventArgs : EventArgs
    {
        private GameMap _gameMap;
        private String _name;

        public GameMap GameMap { get { return _gameMap; } }

        public String Name {  get { return _name; } }

        public NewGameEventArgs(GameMap gameMap, String name)
        {
            _gameMap = gameMap;
            _name = name;
        }
    }
}
