﻿using HELLo_World.MapData.Buildings;
using System;
using System.Collections.Generic;
using System.Text;

namespace HELLo_World.Model.Information
{
    public class BuildingInfo
    {
        #region Properties

        public Int32 BuildingId { get; private set; }
        public Tuple<Tuple<Int32,Int32>,Int32> Capacity { get; private set; }
        public Int32 Fee { get; set; }
        public String Name { get; private set; }
        public FacilityStatus Status { get; private set; }

        #endregion

        #region Constructor

        public BuildingInfo(Int32 bId, Tuple<Tuple<Int32, Int32>, Int32> cap, Int32 fee, String name, FacilityStatus stat)
        {
            BuildingId = bId;
            Capacity = cap;
            Fee = fee;
            Name = name;
            Status = stat;
        }

        #endregion
    }
}
