﻿using HELLo_World.MapData.People;
using System;
using System.Collections.Generic;
using System.Text;
using HELLo_World.MapData.People;

namespace HELLo_World.Model.Information
{
    public class VisitorInfo
    {
        #region Properties

        public Int32 Adrenalin { get; private set; }

        public Int32 Food { get; private set; }

        public Int32 Happiness { get; private set; }

        public Int32 Money { get; private set; }

        public Activity CurrentActivity { get; private set; }

        public Status CurrentStatus { get; private set; }

        #endregion

        #region Constructor

        public VisitorInfo(Int32 adr, Int32 food, Int32 happ, Int32 mon, Activity act, Status stat)
        {
            Adrenalin = adr;
            Food = food;
            Happiness = happ;
            Money = mon;
            CurrentActivity = act;
            CurrentStatus = stat;
        }

        #endregion
    }
}
