﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Media;

namespace HELLo_World.ViewModel.Fields
{
    public class MenuField : ViewModelBase
    {
        private Brush _background;

        public String Name { get; set; }
        public Int32 Price { get; set; }
        public Int32 TypeId { get; set; }
        public Uri ImageSource { get; set; }
        public String ExtraInfo { get; set; }
        public Brush Background
        {
            get { return _background; }
            set
            {
                if (_background == value) return;
                _background = value;
                OnPropertyChanged();
            }
        }
        public DelegateCommand SelectCommand { get; set; }
    }
}
