﻿using System;
using System.Collections.Generic;
using System.Text;

namespace HELLo_World.MapData.Buildings
{
    public abstract class Building
    {
        #region Properties

        public Int32 BuildingId { get; private set; }
        public Int32 BuildingTypeId { get; private set; }
        public Tuple<Int32, Int32> Coord { get; private set; }


        #endregion

        #region Constructor

        public Building(Int32 bId, Int32 tId, Tuple<Int32,Int32> coord)
        {
            BuildingId = bId;
            BuildingTypeId = tId;
            Coord = coord;
        }

        #endregion
    }
}
