﻿using HELLo_World.MapData.People;
using System;
using System.Collections.Generic;
using System.Text;

namespace HELLo_World.MapData.Buildings
{
    public class EntertainmentFacility : Facility
    {
        #region Properties

        public Int32 MinimumCapacity;
        public Int32 RoundCount;
        public Boolean RepairManOnTheWay;

        #endregion

        #region Constructor

        public EntertainmentFacility(Int32 bId, Int32 tId, Tuple<Int32, Int32> coord, Int32 startingFee, Int32 min) : base(bId, tId, coord, startingFee) { MinimumCapacity = min; RepairManOnTheWay = false; }

        #endregion
    }
}
