﻿using HELLo_World.MapData.Buildings;
using System;
using System.Collections.Generic;
using System.Text;

namespace HELLo_World.Model.Information
{
    public class EntertainmentInfo : BuildingInfo
    {
        #region Properties
            
        public Int32 MinimumCapacity { get; private set; }

        public Int32 Adrenalin { get; private set; }

        #endregion
        
        #region Constructor

        public EntertainmentInfo(Int32 bId, Tuple<Tuple<Int32, Int32>, Int32> cap, Int32 fee, String name, FacilityStatus stat, Int32 mincap, Int32 adr) : base(bId,cap,fee,name,stat) { MinimumCapacity = mincap; Adrenalin = adr; }
        
        #endregion
    }
}
