﻿using System;
using System.Collections.Generic;
using System.Text;

namespace HELLo_World.Model.StaticData
{
    public static class BuildingDataInitializer
    {
        public static void Initialize(BuildingData bData)
        {
            //Gate data
            bData.GateData = new GateData(-1);

            // Road data
            bData.RoadData = new RoadData(0, 50);

            // Catering
            bData.CateringData.Add(new CateringData(1,5,20,5,"HellDog",500,10,new Tuple<int, int>(2,2),5));
            bData.CateringData.Add(new CateringData(2, 8, 30, 5, "SoulBar", 500, 10, new Tuple<int, int>(2, 2), 5));
            bData.CateringData.Add(new CateringData(3, 1, 30, 5, "FireCandy", 500, 10, new Tuple<int, int>(2, 1), 5));

            // Entertainment
            bData.EntertainmentData.Add(new EntertainmentData(101,20,50,25,"Cerberus",3000,10,new Tuple<int, int>(3,9),10,10,8));
            bData.EntertainmentData.Add(new EntertainmentData(102, 15, 20, 10, "DeadEye", 3000, 10, new Tuple<int, int>(3, 3), 10, 60, 5));
            bData.EntertainmentData.Add(new EntertainmentData(103, 8, 20, 10, "Serpent", 3000, 10, new Tuple<int, int>(6, 2), 10, 100, 3));
            bData.EntertainmentData.Add(new EntertainmentData(104, 3, 20, 10, "AimWinRip", 500, 10, new Tuple<int, int>(2, 2), 10, 20, 1));
            bData.EntertainmentData.Add(new EntertainmentData(105, 8, 20, 10, "LavaRide", 3000, 10, new Tuple<int, int>(3, 3), 10, 40, 3));
            bData.EntertainmentData.Add(new EntertainmentData(106, 1, 20, 10, "WhackIt", 500, 10, new Tuple<int, int>(2, 1), 10, 30, 1));
            bData.EntertainmentData.Add(new EntertainmentData(107, 10, 20, 10, "HorrorHouse", 3000, 10, new Tuple<int, int>(3, 3), 10, 70, 4));
        }
    }
}
