﻿using System;
using System.Collections.Generic;
using System.Text;

namespace HELLo_World.Model.StaticData
{
    public abstract class FacilityData : StaticBuildingData
    {
        #region Properties

        public readonly Int32 Capacity;
        public readonly Int32 InteractionLength;
        public readonly String Name;
        public readonly Int32 RegularMaintenance;
        public readonly Int32 UseMaintenance;

        #endregion

        #region Constructor

        protected FacilityData(Int32 b, Int32 c, Int32 i, String n, Int32 p, Int32 r, Tuple<Int32, Int32> s, Int32 u) : base(b,p,s)
        {
            Capacity = c;
            InteractionLength = i;
            Name = n;
            RegularMaintenance = r;
            UseMaintenance = u;
        }

        #endregion
    }
}
