﻿using System;
using System.Collections.Generic;
using System.Text;

namespace HELLo_World.Model.StaticData
{
    public abstract class StaticBuildingData
    {
        #region Constants

        public readonly Int32 Price;
        public readonly Int32 BuildingTypeId;
        public readonly Tuple<Int32, Int32> Size;

        #endregion

        #region Constructor

        protected StaticBuildingData(Int32 bId, Int32 price, Tuple<Int32,Int32> size)
        {
            Price = price;
            BuildingTypeId = bId;
            Size = size;
        }

        #endregion
    }
}
